PROMETHEUS-SNMP-GENERATOR(1)

NAME
prometheus-snmp-generator - Config generator for prometheus-snmp-exporter

SYNOPSIS

prometheus-snmp-generator [<flags>] <command> [<args> ...]

DESCRIPTION

OPTIONS

-h, --help
    Show context-sensitive help (also try --help-long and --help-man).

--fail-on-parse-errors
    Exit with a non-zero status if there are MIB parsing errors

--snmp.mibopts=SNMP.MIBOPTS
    Toggle various defaults controlling MIB parsing, see snmpwalk --help

--log.level=info
    Only log messages with the given severity or above. One of: [debug, info, warn, error]

--log.format=logfmt
    Output format of log messages. One of: [logfmt, json]

COMMANDS

  help [<command>...]

Show help.

  generate [<flags>]

Generate snmp.yml from generator.yml

-m, --mibs-dir=
    Paths to mibs directory

-g, --generator-path="generator.yml"
    Path to the input generator.yml file

-o, --output-path="snmp.yml"
    Path to write the snmp_exporter's config file

  parse_errors

Debug: Print the parse errors output by NetSNMP

  dump

Debug: Dump the parsed and prepared MIBs